! 
! File:          objarg_EmployeeArray_Mod.F90
! Symbol:        objarg.EmployeeArray-v0.5
! Symbol Type:   class
! Babel Version: 0.10.2
! Description:   Server-side private data module for objarg.EmployeeArray
! 
! WARNING: Automatically generated; only changes within splicers preserved
! 
! babel-version = 0.10.2
! 

#include"objarg_EmployeeArray_fAbbrev.h"
module objarg_EmployeeArray_impl

! DO-NOT-DELETE splicer.begin(objarg.EmployeeArray.use)
  use objarg_Employee
! DO-NOT-DELETE splicer.end(objarg.EmployeeArray.use)

type objarg_EmployeeArray_priv
  sequence
  ! DO-NOT-DELETE splicer.begin(objarg.EmployeeArray.private_data)
   type(objarg_Employee_t), dimension(:), pointer     :: d_employees
   integer(selected_int_kind(9))                      :: d_length
   integer(selected_int_kind(9))                      :: d_capacity
   logical                                            :: d_allocated
  ! DO-NOT-DELETE splicer.end(objarg.EmployeeArray.private_data)
end type objarg_EmployeeArray_priv

type objarg_EmployeeArray_wrap
  sequence
  type(objarg_EmployeeArray_priv), pointer :: d_private_data
end type objarg_EmployeeArray_wrap

end module objarg_EmployeeArray_impl
